unit FFormb;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  StdCtrls;

type

  { TfmFormB }

  TfmFormB = class(TForm)
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
    meinFeld: Integer;
  public
    { public declarations }
  end; 

var
  fmFormB: TfmFormB;

implementation

uses
  FFormA, FFromC;

{ TfmFormB }

procedure TfmFormB.Button1Click(Sender: TObject);
begin
  fmFormA.Show;
  Hide;
end;

procedure TfmFormB.Button2Click(Sender: TObject);
begin
  fmFormC.Show;
  Hide;
end;

procedure TfmFormB.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  CloseAction := caHide;
  fmFormA.Show;
end;

procedure TfmFormB.FormCreate(Sender: TObject);
begin
  meinFeld := 16;
end;

initialization
  {$I fformb.lrs}

end.

