unit FFormA;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  StdCtrls, ComCtrls;

type

  { TfmFormA }

  TfmFormA = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    UpDown1: TUpDown;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure UpDown1Click(Sender: TObject; Button: TUDBtnType);
  private
    procedure UpdateLabel;
    { private declarations }
  public
    meinFeld: Integer;
    { public declarations }
  end; 

var
  fmFormA: TfmFormA;

implementation

uses
  FFormB, FFromC;

{ TfmFormA }

procedure TfmFormA.Button1Click(Sender: TObject);
begin
  fmFormB.Show;
  Hide;
end;

procedure TfmFormA.Button2Click(Sender: TObject);
begin
  fmFormC.Show;
  Hide;
end;

procedure TfmFormA.FormCreate(Sender: TObject);
begin
  meinFeld := 13;
  UpdateLabel;
end;

procedure TfmFormA.UpDown1Click(Sender: TObject; Button: TUDBtnType);
begin
  case Button of
    btNext: inc(meinFeld);
    btPrev: dec(meinFeld);
  end;
  UpdateLabel;
end;


procedure TfmFormA.UpdateLabel;
begin
  label1.Caption := IntToStr(meinFeld);
end;

initialization
  {$I fforma.lrs}

end.

