unit FFromC;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  StdCtrls;

type

  { TfmFormC }

  TfmFormC = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
    meinFeld: Integer;
  public
    { public declarations }
  end; 

var
  fmFormC: TfmFormC;

implementation

uses
  FFormA, FFormB;

{ TfmFormC }

procedure TfmFormC.Button1Click(Sender: TObject);
begin
  fmFormA.Show;
  Hide;
end;

procedure TfmFormC.Button2Click(Sender: TObject);
begin
  fmFormB.Show;
  Hide;
end;

procedure TfmFormC.Button3Click(Sender: TObject);
begin
  ShowMessage('Mein Feld = ' + IntToStr(meinFeld) + ' das von FormA = ' + IntToStr(fmFormA.meinFeld));
end;

procedure TfmFormC.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  CloseAction := caHide;
  fmFormA.Show;
end;

procedure TfmFormC.FormCreate(Sender: TObject);
begin
  meinFeld := 11;
end;

initialization
  {$I ffromc.lrs}

end.

